#pragma once
#include "SoundEffect.h"
#include "../../Screen.h"
#include "Gui/GuiText.h"

class FuelScreen final : public Screen {
public:
	FuelScreen(const std::string& filePath, Vector2f pos, Vector2f size, TextureManager* manager);
	virtual ~FuelScreen() override;

	FuelScreen(const FuelScreen& other) = delete;
	FuelScreen(FuelScreen&& other) = delete;
	FuelScreen& operator=(const FuelScreen& other) = delete;
	FuelScreen& operator=(FuelScreen&& other) = delete;
	

	virtual void Draw() const override;
	virtual void Update(float elapsedSecs) override;

private:
	GuiText* m_MoneyText;

	SoundEffect* m_BuySound { nullptr };

};
